## org.eclipse.datatools.sqltools.data.internal.ui
Class FileFormatWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.sqltools.data.internal.ui.FileFormatWizardPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

Direct Known Subclasses:
  ExtractDataWizardPage, LoadDataWizardPage

    public class FileFormatWizardPage

extends org.eclipse.jface.wizard.WizardPage

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`FileFormatWizardPage(java.lang.String pageName, boolean extract)`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`java.lang.String` `getColumnDelimiter()`
`java.lang.String` `getFilePath()`
`java.lang.String` `getHelpID()`
`java.lang.String` `getStringDelimiter()`
`void` `saveSettings()`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Constructor Detail

### FileFormatWizardPage

    public FileFormatWizardPage(java.lang.String pageName,
                                boolean extract)

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

### saveSettings

    public void saveSettings()

### getFilePath

    public java.lang.String getFilePath()

### getColumnDelimiter

    public java.lang.String getColumnDelimiter()

### getStringDelimiter

    public java.lang.String getStringDelimiter()

### getHelpID

    public java.lang.String getHelpID()